Subject: RE: Last Call: Textual Conventions for Additional High Capacity D ata Types to Proposed Standard

From: Dan Romascanu <[email-masked]>
Date: Sat, 25 Mar 2000 00:41:21 +0200

The following text at Section 6 is too restrictive in a manner that is both
unnecessary and not consistent with other text (e.g. at Section 5)

The following textual conventions are defined to support unsigned 64-bit
data types for HC-RMON [HC-RMON].

I suggest replacing this text by the following:

The following textual conventions are defined to support unsigned 64-bit
data types for  MIBs such as the HC-RMON MIB [HC-RMON].

The reason is that other MIB documents should feel free to use the Textual
Conventions described by this document freely, until a permanent solution is
standardized as part of some evolution of the SNMP SMI.

Regards,

Dan

> -----Original Message-----
> From:	Wijnen, Bert (Bert) [SMTP:[email-masked]]
> Sent:	Mon March 20 2000 20:26
> To:	[email-masked]; [email-masked]
> Subject:	FW: Last Call: Textual Conventions for Additional High
> Capacity D ata Types to Proposed Standard
> 
> Just in case someone missed it.
> 
> Bert
> 
> > ----------
> > From: 	The IESG[SMTP:[email-masked]]
> > Reply To: 	[email-masked]
> > Sent: 	Monday, March 20, 2000 4:43 PM
> > Cc: 	[email-masked]
> > Subject: 	Last Call: Textual Conventions for Additional High Capacity
> > Data Types to Proposed Standard
> > 
> > 
> > The IESG has received a request to consider Textual Conventions for
> > Additional High Capacity Data Types <draft-kzm-hcdata-types-05.txt> as
> > a Proposed Standard.  This has been reviewed in the IETF but is not the
> > product of an IETF Working Group.
> > 
> > The IESG plans to make a decision in the next few weeks, and solicits
> > final comments on this action.  Please send any comments to the
> > [email-masked] or [email-masked] mailing lists by April 18, 2000.
> > 
> > Files can be obtained via
> > http://www.ietf.org/internet-drafts/draft-kzm-hcdata-types-05.txt
> > 
> >

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 27 Mar 2000 12:20:03 +0200

>>>>> Dan Romascanu writes:

[...]

Dan> I suggest replacing this text by the following:

Dan> The following textual conventions are defined to support unsigned
Dan> 64-bit data types for MIBs such as the HC-RMON MIB [HC-RMON].

Dan> The reason is that other MIB documents should feel free to use
Dan> the Textual Conventions described by this document freely, until
Dan> a permanent solution is standardized as part of some evolution of
Dan> the SNMP SMI.

I think that MIB authors should think at least twice before using
these TCs. There is text in the ID on the limitations and implications
of using these TCs. The abstract actually says that these TCs may be
deprecated in the future (when a long term solution is in place). So
taking your comment into account, I suggest the following replacement
text:

: The following textual conventions are defined to support unsigned
: 64-bit data types for MIBs such as the HC-RMON MIB [HC-RMON]. The
: textual conventions represent a limited short-term solution and 
: may be deprecated as a long term solution is defined and deployed 
: to replace it.

This is basically a repetition of the warning which is already in the
TC definitions. But I think it is important so that people really
think twice whether they want to use these TCs.

/js

-- 
Juergen Schoenwaelder      Technical University Braunschweig
<[email-masked]>  Dept. Operating Systems & Computer Networks
Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>